package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.AttentionPool;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class AttentionPoolBo implements Serializable {
    private String attentionId;

    private String contact;

    private String telephone;

    private String wdName;

    private String wdAddrInfo;

    private String brandName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date attentionTime;

    public AttentionPoolBo() {
    }

    public AttentionPoolBo(AttentionPool pool) {
        this.attentionId = pool.getAttentionId();
        this.contact = pool.getContact();
        this.telephone = pool.getTelephone();
        this.wdName = pool.getWdName();
        this.wdAddrInfo = pool.getWdAddrInfo();
        this.brandName = pool.getBrandName();
        this.attentionTime = pool.getAttentionTime();
    }
}
